## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### Create Engagement

#### POST

```
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/engagements \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organizationId": "<string>",
  "name": "<string>",
  "libraryId": "<string>",
  "auditPeriodEndDate": "2023-12-25",
  "accountingPackage": "<string>",
  "industry": "<string>",
  "engagementLeadId": "<string>",
  "emailSubscriptions": {},
  "billingCode": "<string>",
  "settingsBasedOnEngagementId": "<string>",
  "reportingPeriodConfigurationId": "<string>",
  "auditorIds": [
    "<string>"
  ]
}
'
```

```
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/engagements"

payload = {
    "organizationId": "<string>",
    "name": "<string>",
    "libraryId": "<string>",
    "auditPeriodEndDate": "2023-12-25",
    "accountingPackage": "<string>",
    "industry": "<string>",
    "engagementLeadId": "<string>",
    "emailSubscriptions": {},
    "billingCode": "<string>",
    "settingsBasedOnEngagementId": "<string>",
    "reportingPeriodConfigurationId": "<string>",
    "auditorIds": ["<string>"]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    organizationId: '<string>',
    name: '<string>',
    libraryId: '<string>',
    auditPeriodEndDate: '2023-12-25',
    accountingPackage: '<string>',
    industry: '<string>',
    engagementLeadId: '<string>',
    emailSubscriptions: {},
    billingCode: '<string>',
    settingsBasedOnEngagementId: '<string>',
    reportingPeriodConfigurationId: '<string>',
    auditorIds: ['<string>']
  })
};

fetch('https://{tenant}.mindbridge.ai/api/v1/engagements', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/engagements",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'organizationId' => '<string>',
    'name' => '<string>',
    'libraryId' => '<string>',
    'auditPeriodEndDate' => '2023-12-25',
    'accountingPackage' => '<string>',
    'industry' => '<string>',
    'engagementLeadId' => '<string>',
    'emailSubscriptions' => [],
    'billingCode' => '<string>',
    'settingsBasedOnEngagementId' => '<string>',
    'reportingPeriodConfigurationId' => '<string>',
    'auditorIds' => ['<string>']
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
}
```

#### Response

201 - application/json

```
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "organizationId": "<string>",
  "name": "<string>",
  "billingCode": "<string>",
  "libraryId": "<string>",
  "accountingPeriod": {
    "fiscalStartMonth": 123,
    "fiscalStartDay": 123
  },
  "auditPeriodEndDate": "2023-12-25",
  "accountingPackage": "<string>",
  "industry": "<string>",
  "engagementLeadId": "<string>",
  "reportingPeriodConfigurationId": "<string>",
  "auditorIds": ["<string>"],
  "emailSubscriptions": {}
}
```

### Authorizations

- **Authorization**: `Bearer <token>` - required header.
